Bug 90556 - About dialog: Include build date for daily builds
Summary: About dialog: Include build date for daily builds
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: high enhancement
Assignee: Christian Lohmaier
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-10 17:10 UTC by Robinson Tryon (qubit)
Modified: 2017-09-08 04:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2015-04-10 17:10:00 UTC
It would be very helpful to know when an Android build was produced just by looking in the 'About' dialog. This is the easiest way to know if you have the latest testing build installed. Daily desktop builds already include this information.

For bonus points, it would be great to make the Build ID a hyperlink to cgit @ FDO.

Related (but I think slightly different):
Bug 79438 - Add release date to the About dialog box
Comment 1 Robinson Tryon (qubit) 2015-04-10 17:13:35 UTC
Bumping priority --> this will make things easier as we expand our Android testing team.
Comment 2 Matthew Francis 2015-04-11 04:30:31 UTC
As with bug 79438, setting Severity -> enhancement
Comment 3 Christian Lohmaier 2017-09-01 12:51:54 UTC
using *date* is nogo/not telling,  but  having clickable link to cgit (where user then can see date of commit/log) is more feasible.
Comment 4 Adolfo Jayme 2017-09-03 09:17:59 UTC
Additionally, a Git log link will allow you to deduce the age of your build.
Comment 5 Commit Notification 2017-09-07 20:05:04 UTC
Christian Lohmaier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b946b386d18172cad2bea4c05c825eb8021131d

tdf#90556 android: make buildID in about a clickable link to git log

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.